> ## Documentation Index
> Fetch the complete documentation index at: https://docs.judit.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Pausar monitoramento

> Esse endpoint pausa um monitoramento pelo seu id.



## OpenAPI

````yaml POST /tracking/{tracking_id}/pause
openapi: 3.0.0
info:
  title: JUDIT - Tracking API
  version: v1.3.0
servers: []
security: []
paths:
  /tracking/{tracking_id}/pause:
    post:
      tags:
        - Monitoramento
      summary: Pausar monitoramento
      description: |-
        Endpoint para pausar temporariamente 

        um monitoramento existente. Retorna o 

        monitoramento atualizado após a pausa.
      parameters:
        - name: tracking_id
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TrackingTrackingIdPause.Response.Post'
        '401':
          description: Unauthorized - Missing or invalid token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpUnauthorizedError'
        '403':
          description: Forbidden - Insufficient permissions
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpForbiddenError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HttpInternalServerError'
      security:
        - jwtAuth: []
        - apiKeyAuth: []
components:
  schemas:
    TrackingTrackingIdPause.Response.Post:
      type: object
      properties:
        tracking_id:
          type: string
        user_id:
          type: string
        company_id:
          type: string
        status:
          type: string
          enum:
            - created
            - updating
            - updated
            - paused
            - deleted
            - suspended
        recurrence:
          type: number
        with_attachments:
          type: boolean
        search:
          type: object
          properties:
            on_demand:
              type: boolean
            search_type:
              type: string
              enum:
                - cpf
                - cnpj
                - oab
                - name
                - rji
                - lawsuit_cnj
                - lawsuit_attachment
                - execution_attachment
                - custom
            search_key:
              type: string
            response_type:
              anyOf:
                - type: string
                  enum:
                    - lawsuit
                - type: string
                  enum:
                    - lawsuits
                - type: string
                  enum:
                    - warrant
                    - execution
                - type: string
                  enum:
                    - entity
                - type: string
                  enum:
                    - sanction
                - type: string
                  enum:
                    - communication
            cache_ttl_in_days:
              type: number
            search_params:
              type: object
              properties:
                full_lawsuit:
                  type: boolean
                should_search_branches:
                  type: boolean
                public_search:
                  type: boolean
                lawsuit_instance:
                  type: number
                attachment_id:
                  type: string
                attachment_extension:
                  type: string
                filter:
                  type: object
                  properties:
                    side:
                      type: string
                      enum:
                        - Passive
                        - Active
                        - Interested
                        - Unknown
                    party_names:
                      type: array
                      items:
                        type: string
                    party_documents:
                      type: array
                      items:
                        type: string
                    distribution_date_gte:
                      type: string
                      format: date-time
                    distribution_date_lte:
                      type: string
                      format: date-time
                    last_step_date_gte:
                      type: string
                      format: date-time
                    last_step_date_lte:
                      type: string
                      format: date-time
                    tribunals:
                      type: object
                      properties:
                        keys:
                          type: array
                          items:
                            type: string
                        not_equal:
                          type: boolean
                      required:
                        - keys
                        - not_equal
                    classification_codes:
                      type: object
                      properties:
                        keys:
                          type: array
                          items:
                            type: string
                        not_equal:
                          type: boolean
                      required:
                        - keys
                        - not_equal
                    classification_names:
                      type: object
                      properties:
                        keys:
                          type: array
                          items:
                            type: string
                        not_equal:
                          type: boolean
                      required:
                        - keys
                        - not_equal
                    subject_codes:
                      type: object
                      properties:
                        contains:
                          type: array
                          items:
                            type: string
                        not_contains:
                          type: array
                          items:
                            type: string
                      required:
                        - contains
                        - not_contains
                    subject_names:
                      type: object
                      properties:
                        contains:
                          type: array
                          items:
                            type: string
                        not_contains:
                          type: array
                          items:
                            type: string
                      required:
                        - contains
                        - not_contains
                    amount_lte:
                      type: number
                    amount_gte:
                      type: number
                pagination:
                  type: object
                  properties:
                    page:
                      type: number
                    page_size:
                      type: number
                credential:
                  type: object
                  properties:
                    customer_key:
                      type: string
          required:
            - search_type
            - search_key
        notification_emails:
          type: array
          items:
            type: string
        notification_filters:
          type: object
          properties:
            step_terms:
              type: array
              items:
                type: string
          required:
            - step_terms
        tracked_items_count:
          type: number
        tracked_items_steps_count:
          type: number
        callback_url:
          type: string
        tags:
          type: object
          additionalProperties:
            anyOf:
              - type: string
              - type: number
              - type: boolean
              - type: string
                format: date-time
              - {}
        plan_config_type:
          type: string
          enum:
            - datalake_lawsuit_search
            - download_attachment
            - download_full_lawsuit
            - download_execution_attachment
            - simple_lawsuit_search
            - simple_lawsuit_search_with_summary
            - complete_lawsuit_search
            - complete_lawsuit_search_with_summary
            - full_lawsuit_search
            - full_lawsuit_search_with_summary
            - simple_lawsuit_tracking
            - simple_lawsuit_tracking_fixed_time
            - complete_lawsuit_tracking
            - complete_lawsuit_tracking_fixed_time
            - full_lawsuit_tracking
            - full_lawsuit_tracking_fixed_time
            - simple_warrant_search
            - complete_warrant_search
            - simple_execution_search
            - complete_execution_search
            - binary_document_search
            - count_document_search
            - aggregate_document_search
            - simple_document_search
            - simple_document_search_with_summary
            - complete_document_search
            - complete_document_search_with_summary
            - complete_document_search_on_demand
            - complete_document_search_on_demand_with_summary
            - document_tracking
            - document_tracking_fixed_time
            - public_document_tracking
            - public_document_tracking_fixed_time
            - custom_search
            - custom_tracking
            - custom_tracking_fixed_time
            - communication_tracking
            - entity_person_search
            - entity_person_search_on_demand
            - entity_person_name_search
            - entity_person_name_search_on_demand
            - entity_company_search
            - entity_company_search_on_demand
            - complete_company_search_with_branches
            - complete_company_search_with_branches_on_demand
            - sanctions_lists_search
            - sync_complete_document_search
            - error
        fixed_time:
          type: boolean
        hour_range:
          type: number
        execution_minute:
          type: number
        created_at:
          type: string
          format: date-time
        request_id:
          type: string
        updating_at:
          type: string
          format: date-time
        updated_at:
          type: string
          format: date-time
        paused_at:
          type: string
          format: date-time
        deleted_at:
          type: string
          format: date-time
      required:
        - tracking_id
        - user_id
        - status
        - recurrence
        - with_attachments
        - search
        - notification_emails
        - tracked_items_count
        - tracked_items_steps_count
    HttpUnauthorizedError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpUnauthorizedError
            message:
              type: string
              example: UNAUTHORIZED
            stack:
              type: string
            data:
              type: string
              example: User must be authenticated
    HttpForbiddenError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpForbiddenError
            message:
              type: string
              example: FORBIDDEN
            stack:
              type: string
            data:
              type: string
              example: Authenticated user is not authorized
    HttpInternalServerError:
      type: object
      properties:
        error:
          type: object
          properties:
            name:
              type: string
              example: HttpInternalServerError
            message:
              type: string
              example: INTERNAL_SERVER_ERROR
            stack:
              type: string
            data:
              type: object
              example:
                message: Database connection failed
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: JWT Bearer token for authentication
    apiKeyAuth:
      type: apiKey
      in: header
      name: api-key
      description: API key for authentication

````